Package org.apache.sysds.runtime.instructions.spark.data

# Class FrameReblockBuffer

java.lang.Object
org.apache.sysds.runtime.instructions.spark.data.FrameReblockBuffer

public class FrameReblockBuffer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`FrameReblockBuffer(int buffersize, long rlen, long clen, Types.ValueType[] schema)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendCell(long r, long c, Object obj)`
`void`
`flushBufferToBinaryBlocks(ArrayList<Pair<Long,FrameBlock>> outList)`
`int`
`getCapacity()`
`int`
`getSize()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_BUFFER_SIZE

public static final int DEFAULT_BUFFER_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### FrameReblockBuffer

public FrameReblockBuffer(int buffersize, long rlen, long clen, Types.ValueType[] schema)

## Method Details

### getSize

public int getSize()

### getCapacity

public int getCapacity()

### appendCell

public void appendCell(long r, long c, Object obj)

### flushBufferToBinaryBlocks

public void flushBufferToBinaryBlocks(ArrayList<Pair<Long,FrameBlock>> outList) throws DMLRuntimeException

Throws:
  `DMLRuntimeException`